/****************************************************************************/
/*                                                                          */
/*  Copyrighted by PostModern Computing Technologies, Inc                   */
/*                                                                          */
/*  Copyright 1993, 1994 by PostModern Computing Technologies, Inc.         */
/*                          1897 Landings Drive                             */
/*                          Mountain View, California, 94043, USA           */
/*                          Telephone (415) 967-6169                        */
/*                          Facsimile (415) 967-6212                        */
/*                                                                          */
/*  This code is the sole property of PostModern Computing Technologies,    */
/*  Inc.  and is  protected  by  copyright under the laws of the United     */
/*  States.   This  program is confidential, proprietary, and  a  trade     */
/*  secret,  not  to  be disclosed  without written authorization  from     */
/*  PostModern Computing Technologies, Inc.  Any use,  duplication,  or     */
/*  disclosure  of  this  program  by other than  PostModern  Computing     */
/*  Technologies, Inc. and its assigned licensees is strictly forbidden     */
/*  by law.                                                                 */
/*                                                                          */
/*  All rights reserved.                                                    */
/*                                                                          */
/****************************************************************************/

#include <stdio.h>

#include "irbrowser.h"

extern char *optarg;
extern int optind;

main(int argc, char **argv)
{
        char * optionstr = "s:";
	char c;

	char servername[500];
        strcpy(servername, "Orbeline Interface Repository"); // Default

	while( (c = getopt(argc, argv, optionstr)) != EOF)
	  switch (c)
	    {
	    case 's' :
	      {
		strcpy(servername,optarg);
		break;
	      }
	    }
	  
        IRBrowser browser;
    
        cout << "\n---------------------------------------------";
	cout << "\n ORBeline Interface Repository browser ";
        cout << "\n---------------------------------------------";

        IRBrowser::repository = CORBA_IR::Repository::_bind(servername);

	if (!IRBrowser::repository)
	  {
	    cout << "\nFailed to _bind() to Repository.\n"; exit(-1);
	  }

        IRBrowser::printPrompt();

	char *input = NULL;
	while (1)
	  {
	    IRBrowser::getInput();
	    IRBrowser::dispatch();
	  }

	return 0;

}
